# List steam items from inventory

`POST /v1/list-items-steam`

Array of items (Recommended number of items per request is 100)

Rate limit of list/edit actions for each item_id is 2 requests per 120 seconds

Note: For Rust items item_id must be a string type, since id is greater than the maximum for number type

Prices are integers. `1000` = `1 USD`.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `api` | query | string | required | Your [WAXPEER API](https://waxpeer.com/profile/user) |
| `game` | query | enum | optional | Which game would you like to fetch items from |

## Request body

```json
{
  "items": [
    {
      "item_id": 141414144,
      "price": 1000
    }
  ]
}
```

## Example (curl)

```bash
curl -X POST 'https://api.waxpeer.com/v1/list-items-steam?api=%7B%7BAPI_KEY%7D%7D&game=csgo' \
  -H 'Content-Type: application/json' \
  -d '{
  "items": [
    {
      "item_id": 141414144,
      "price": 1000
    }
  ]
}'
```

## Example response

```json
{
  "success": true,
  "msg": "no items",
  "listed": [
    {
      "item_id": 141414144,
      "price": 1000,
      "name": "AWP | Asiimov (Field-tested)"
    }
  ],
  "failed": [
    {
      "item_id": 141414145,
      "price": 1000,
      "msg": "You can list your item after 40 seconds",
      "msBeforeNext": 39636
    }
  ]
}
```

## Responses

- `200` successful operation

## Notes for agents

- Auth is the query parameter `api`, not an Authorization header.
- See [/statuses.md](/statuses.md) for numeric trade status plus `escrow_status` / `release_date`.
- Prefer GET /v2/search-items-by-name over v1.
- Do not use GET /v1/ready-to-transfer-p2p; use the [trade websocket](/websocket.md).
